Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions | Variables
gen_gtest_pred_impl Namespace Reference

## Functions
def | HeaderPreamble (n)
def | Arity (n)
def | Title (word)
def | OneTo (n)
def | Iter
def | ImplementationForArity (n)
def | HeaderPostamble ()
def | GenerateFile (path, content)
def | GenerateHeader (n)
def | UnitTestPreamble ()
def | TestsForArity (n)
def | UnitTestPostamble ()
def | GenerateUnitTest (n)

## Variables
string | __author__ = 'wan@google.com (Zhanyong Wan)'
tuple | SCRIPT_DIR = os.path.dirname(sys.argv[0])
tuple | HEADER = os.path.join(SCRIPT_DIR, '../include/gtest/gtest_pred_impl.h')
tuple | UNIT_TEST = os.path.join(SCRIPT_DIR, '../test/gtest_pred_impl_unittest.cc')

## Function Documentation

def gen_gtest_pred_impl.Arity | ( |  | n | ) |

    Returns the English name of the given arity.

def gen_gtest_pred_impl.GenerateFile | ( |  | path,
|  |  | content
| ) |  |

    Given a file path and a content string, overwrites it with the
    given content.

def gen_gtest_pred_impl.GenerateHeader | ( |  | n | ) |

    Given the maximum arity n, updates the header file that implements
    the predicate assertions.

def gen_gtest_pred_impl.GenerateUnitTest | ( |  | n | ) |

    Returns the tests for up-to n-ary predicate assertions.

def gen_gtest_pred_impl.HeaderPostamble | ( |  | ) |

    Returns the postamble for the header file.

def gen_gtest_pred_impl.HeaderPreamble | ( |  | n | ) |

    Returns the preamble for the header file.

    Args:
      n:  the maximum arity of the predicate macros to be generated.

def gen_gtest_pred_impl.ImplementationForArity | ( |  | n | ) |

    Returns the implementation of n-ary predicate assertions.

def gen_gtest_pred_impl.Iter | ( |  | n,
|  |  | format,
|  |  | sep = `''`
| ) |  |

    Given a positive integer n, a format string that contains 0 or
    more '%s' format specs, and optionally a separator string, returns
    the join of n strings, each formatted with the format string on an
    iterator ranged from 1 to n.

    Example:

    Iter(3, 'v%s', sep=', ') returns 'v1, v2, v3'.

def gen_gtest_pred_impl.OneTo | ( |  | n | ) |

    Returns the list [1, 2, 3, ..., n].

def gen_gtest_pred_impl.TestsForArity | ( |  | n | ) |

    Returns the tests for n-ary predicate assertions.

def gen_gtest_pred_impl.Title | ( |  | word | ) |

    Returns the given word in title case.  The difference between
    this and string's title() method is that Title('4-ary') is '4-ary'
    while '4-ary'.title() is '4-Ary'.

def gen_gtest_pred_impl.UnitTestPostamble | ( |  | ) |

    Returns the postamble for the tests.

def gen_gtest_pred_impl.UnitTestPreamble | ( |  | ) |

    Returns the preamble for the unit test file.

## Variable Documentation

string __author__ = 'wan@google.com (Zhanyong Wan)'

tuple HEADER = os.path.join(SCRIPT_DIR, '../include/gtest/gtest_pred_impl.h')

tuple SCRIPT_DIR = os.path.dirname(sys.argv[0])

tuple UNIT_TEST = os.path.join(SCRIPT_DIR, '../test/gtest_pred_impl_unittest.cc')